<div class="popup {{isOpen || popupData.hasData() ? getData() : 'hidden'}}">
    <h1>Details Submitted!!!</h1>
    <p>Name: {{data.name}}</p>
    <p>Email: {{data.email}}</p>
    <div class="closeBtn"><button (click)="close()">Close</button></div>
</div>